(function ($) {
    'use strict';



    $(function () {
        const extra_options = ('undefined' === typeof WFEAextracaloptions) ? {qtip: {classes: 'qtip-blue'}} : WFEAextracaloptions;
        var full_cal_instance_objs = full_cal_instance.map(JSON.parse);


// http://qtip2.com/options

        var tips = {
            eventAfterAllRender: function (view) {
                $("[data-eb-id]").wfeaBindLinksToEB();
            },
            eventRender: function (event, element) {
                let img = '';

                element.filter(".fc-event").prop('id', 'wfea-popup-booknow-' + event._id);
                element.filter(".fc-event").addClass(event.classes);
                element.filter(".fc-list-item").addClass(event.classes);
                element.find(".fc-list-item-title").prop('id', 'wfea-popup-booknow-' + event._id);
                if (false != event.popup_id) {
                    element.filter(".fc-event").prop('id', 'wfea-popup-booknow-' + event._id).attr('data-eb-id', event.popup_id);
                    element.find(".fc-list-item-title").prop('id', 'wfea-popup-booknow-' + event._id).attr('data-eb-id', event.popup_id);
                }

                if (event.imageurl) {

                    element.find(".fc-list-item-title > a").wrapInner("<div class=\"cal-list-text-wrap\"></div>");
                    element.find(".fc-list-item-title > a").append("<div class=\"cal-list-img-wrap\"><img class=\"cal-list\" src='" + event.imageurl + "'></div>");

                    element.find(".fc-list-item-title > a").wrapInner("<div class=\"cal-list-link-wrap\"></div>");
                    img = "<img class=\"cal-list-qtip\"src='" + event.imageurl + "' style='width: 50%;float:right;'>";
                }
                let loc = '';
                if (event.location) {
                    loc = "<p class='wfea-tip wfea-tip-location'>" + event.location + "</p>"
                }
                let loc_title = '';
                if (event.location_title) {
                    loc_title = "<h5 class='wfea-tip wfea-tip-title'>" + event.location_title + "</h5>"
                }
                let presented_by = '';
                if (event.presented_by) {
                    presented_by = "<p class='wfea-tip wfea-tip-presented-by'>" + event.presented_by + "</p>"
                }
                let prices = '';
                if (event.prices) {
                    prices = "<p class='wfea-tip wfea-tip-prices'>" + event.prices + "</p>"
                }
                let availability = '';
                if (event.availability) {
                    availability = "<p class='wfea-tip wfea-tip-availabilty'>" + event.availability + "</p>"
                }
                let door_time = '';
                if (event.door_time) {
                    door_time = "<p class='wfea-tip wfea-tip-door-time'>" + event.door_time + "</p>"
                }
                let age_restriction = '';
                if (event.age_restriction) {
                    age_restriction = "<p class='wfea-tip wfea-tip-age-restriction'>" + event.age_restriction + "</p>"
                }

                var help_tip = `
                    <div id="qtip-0" class="help-tip">
                       <div class="qtip-tip"></div>
                       <div class="qtip-titlebar">
                          <div id="qtip-0-title" class="qtip-title" aria-atomic="true">${event.title}</div>
                       </div>
                       <div class="qtip-content" id="qtip-0-content" aria-atomic="true">
                            ${loc_title + loc + presented_by + img + prices + availability + door_time + age_restriction + event.excerpt}
                       </div>
                    </div>
                `;

                if (element.find(".fc-content").length > 0) {
                    element.find(".fc-content").after(help_tip);
                }

                if (element.find(".fc-list-item-title").length > 0) {
                    element.find(".fc-list-item-title").append(help_tip);
                }
                
                // element.qtip({
                //     content: {
                //         title: {text: event.title},
                //         text: loc_title + loc + presented_by + img + prices + availability + door_time + age_restriction + event.excerpt
                //     },
                //     style: {classes: extra_options.qtip.classes},
                //     position: {
                //         my: 'bottom center',
                //         at: 'top center'
                //     }
                // });
            }
        };
        var newtab = {
            eventClick: function (event) {
                if (event.url) {
                    window.open(event.url);
                    return false;
                }
            }
        };
        var popup = {
            eventClick: function (event) {
                if ('#' == event.url) {
                    return false;
                }
                return true;
            }
        };
/* loop through each instance */
        full_cal_instance_objs.forEach((cal) => {
            cal = $.extend(cal, tips);
            cal = $.extend(cal, extra_options.fullcalendar);
            $('#' + cal.unique_id  + cal.selector +  '.sametab').fullCalendar(cal);
            $('#' + cal.unique_id  + cal.selector + '.newtab').fullCalendar($.extend(cal, newtab));
            $('#' + cal.unique_id  + cal.selector + '.popup').fullCalendar($.extend(cal, popup));
        });

    });

})(jQuery);
