<?php
/**
 * @var mixed $data Custom data for the template.
 */


/**
 * sets the options for fullcalendar V3
 *
 *
 * @param $data
 *
 * @return array
 */
/**
 * build dynamic data  for javascript
 *
 * First generic ( caloptions )
 */
$caloptions = array(
	'selector'            => '.wfea-calendar',
	'unique_id'           => $data->unique_id,
	'header'              => array(
		'left'   => 'month,agendaWeek',
		'center' => 'title',
		'right'  => 'prev,next'
	),
	'titleRangeSeparator' => ' - ',
	'height'              => 'auto',
	'locale'              => \WidgetForEventbriteAPI\FrontEnd\FrontEnd::get_cal_locale(),
);
if ( $data->utilities->get_element( 'cal_default_view', $data->args ) ) {
	$caloptions['defaultView'] = $data->utilities->get_element( 'cal_default_view', $data->args );
}
/**
 *  Build the per event data for js  into options
 */
if ( false !== $data->events && $data->events->have_posts() && $data->utilities->is_l1__premium_only() ) {
	$earliest_start = 86400;
	$latest_end     = 0;
// add events
	$i = 0;
	while ( $data->events->have_posts() ) {
		$data->events->the_post();
		$thumb = false;
		if ( $data->utilities->get_element( 'thumb', $data->args ) ) {
			// Check if post has post thumbnail.
			if ( ! empty( $data->events->post->logo_url ) ) {
				// Thumbnails.
				$thumb = esc_url( $data->events->post->logo_url );
			} // Display default image.
			elseif ( ! empty( $data->utilities->get_element( 'thumb_default', $data->args ) ) ) {
				$thumb = esc_url( $data->utilities->get_element( 'thumb_default', $data->args ) );
			}
		}
		if ( 0 == $i ) {   // first event
			$caloptions['defaultDate'] = $data->utilities->get_event_start()->local;
			if ( strtotime( $data->utilities->get_event_start()->local ) < time() ) {
				$caloptions['defaultDate'] = date( 'Y-m-d\TH:i:s' );
			}
		}
		$i ++;
		$url      = esc_url( $data->utilities->get_event_eb_url( ( $data->utilities->get_element( 'tickets', $data->args ) ) ? '#tickets' : '' ) );
		$popup_id = '';
		if ( $data->utilities->get_element( 'popup', $data->args ) ) {
			if ( false !== $popup_id = $data->utilities->is_popup_allowed__premium_only( $data->args ) ) {
				$url = '#';
			}
		}
		$title   = html_entity_decode( get_the_title() );
		$classes = $data->utilities->get_event_classes__premium_only();
		$cta     = $data->utilities->get_cta( $data->args );
		$classes .= ' ' . $cta->availability_class;
		$options = array(
			'_id'      => $data->unique_id . '-' . $data->events->post->ID,
			'eb_id'    => $data->events->post->ID,
			'popup_id' => $popup_id,
			'title'    => $title,
			'start'    => $data->utilities->get_event_start()->local,
			'end'      => $data->utilities->get_event_end()->local,
			'excerpt'  => ( $data->utilities->get_element( 'content', $data->args ) ) ? get_the_content() : wp_trim_words( get_the_excerpt(), $data->utilities->get_element( 'length', $data->args ), ' &hellip;' ),
			'url'      => $url,
			'classes'  => $classes,
		);
		if ( false !== $thumb ) {
			$options['imageurl'] = $thumb;
		}
		if ( $data->utilities->get_element( 'location_title', $data->args ) ) {
			$options['location_title'] = wp_kses_post( $data->utilities->get_element( 'location_title', $data->args ) );
		}
		if ( $data->utilities->get_element( 'location', $data->args ) ) {
			$options['location'] = $data->utilities->get_location_display__premium_only( $data->args );
		}
		if ( $data->utilities->get_element( 'show_prices', $data->args ) ) {
			$options['prices'] = $data->utilities->get_price_display__premium_only();
		}
		if ( $data->utilities->get_element( 'show_availability', $data->args ) ) {
			$options['availability'] = $data->utilities->get_ticket_availablity__premium_only( $data->args );
		}
		if ( $data->utilities->get_element( 'music_show_presented_by', $data->args ) ) {
			$result = $data->utilities->get_presented_by__premium_only( $data->args );
			if ( false !== $result ) {
				$options['presented_by'] = $result;
			}
		}
		if ( $data->utilities->get_element( 'music_show_door_time', $data->args ) ) {
			$result = $data->utilities->get_door_time__premium_only( $data->args );
			if ( false !== $result ) {
				$options['door_time'] = $result;
			}
		}
		if ( $data->utilities->get_element( 'music_show_age_restriction', $data->args ) ) {
			$result = $data->utilities->get_age_restriction__premium_only( $data->args );
			if ( false !== $result ) {
				$options['age_restriction'] = $result;
			}
		}
		$options                = apply_filters( 'wfea_cal_event_extra_options', $options );
		$caloptions['events'][] = $options;
		$parsed                 = date_parse( $data->utilities->get_event_start()->local );
		$start                  = $parsed['hour'] * 3600 + $parsed['minute'] * 60 + $parsed['second'];
		$parsed                 = date_parse( $data->utilities->get_event_end()->local );
		$end                    = $parsed['hour'] * 3600 + $parsed['minute'] * 60 + $parsed['second'];
		if ( $start < $earliest_start ) {
			$earliest_start = $start;
		}
		if ( $end > $latest_end ) {
			$latest_end = $end;
		}
	}
	$caloptions['minTime'] = gmdate( "H:i:s", $earliest_start );
	$caloptions['maxTime'] = gmdate( "H:i:s", $latest_end );
}

$qtip_class = 'qtip-blue';
if ( ! empty( $data->utilities->get_element( 'style', $data->args ) ) ) {
	$qtip_class .= ' ' . esc_attr( $data->utilities->get_element( 'style', $data->args ) );
}
$extra_options = apply_filters( 'wfea_cal_extra_options', array(
		'fullcalendar' => array(),
		'qtip'         => array(
			'classes' => $qtip_class,
		),
	)
);

$data->event->options       = $caloptions;
$data->event->extra_options = $extra_options;
$data->event->layout_class = 'wfea-calendar';
$data->event->layout_name  = 'cal';
$data->template_loader->get_template_part( 'common_cal' );
