<?php
/**
 * Front end display of shortcode loop
 * can be overridden in child themes / themes or in wp-content/widget-for-eventbrite-api folder if you don't have a child theme and you don't want to lose changes due to themes updates
 *
 * To customise create a folder in your theme directory called widget-for-eventbrite-api and a modified version of this file or any template_parts renamed as appropriate
 *
 * The main structure is in get_template_part( 'layout_{layout_name}}' );
 *
 * @var mixed $data Custom data for the template.
 */
$data->event->layout_class     = 'wfea-slider';
$data->event->layout_name      = 'slider';
$data->event->head_date_format = 'D M j';
$data->event->headr_tag        = 'h2';
$data->event->location_icon    = '<svg fill="currentColor" height="1em" viewBox="0 0 512 512">
<g>
	<path d="M256,0C167.641,0,96,71.625,96,160c0,24.75,5.625,48.219,15.672,69.125C112.234,230.313,256,512,256,512l142.594-279.375
		C409.719,210.844,416,186.156,416,160C416,71.625,344.375,0,256,0z M256,256c-53.016,0-96-43-96-96s42.984-96,96-96
		c53,0,96,43,96,96S309,256,256,256z"/>
</g>
</svg> ';
$slide_speed                   = apply_filters( 'wfea_layout_' . $data->event->layout_name . '_slide_speed', 10000 );

if ( $data->args['style'] == 'default' ) {
	$data->args['style'] = 'traditional';
}

wp_enqueue_script( $data->plugin_name . '-slider' );

$data->event->popup = $data->utilities->get_popup_class__premium_only( $data->args );
if ( false !== $data->events && $data->events->have_posts() && $data->utilities->is_l1__premium_only() ) {
	$data->utilities->paginate_links__premium_only( $data->args, $data->instance, $data->events->max_num_pages, 'top' );
	?>
    <div class="wfea-slideshow-wrap">
        <section
                id="wfea-slideshow-wrap__<?php echo esc_attr( $data->unique_id ); ?>" <?php echo $data->utilities->get_section_attrs( $data ); ?>>
			<?php
			// build the selector buttons
			echo '<div class="selectors">';
			for ( $i = 1; $i <= $data->events->post_count; $i ++ ) {
				echo '<span class="wfea-slide-indicator" data-slide-number="' .
				     (int) $i . '" ></span>';
			}
			echo '</div><!-- /selectors -->';
			?>
            <div class="wfea-slideshow" data-slide-speed="<?php echo esc_attr( $slide_speed ); ?>">
                <!-- main show ID and data required -->
				<?php
				// main loop
				while ( $data->events->have_posts() ) {
					$data->events->the_post();
					$data->event->booknow = $data->utilities->get_booknow_link( $data->args );
					$data->event->classes = $data->utilities->get_event_classes__premium_only();
					$data->event->cta     = $data->utilities->get_cta( $data->args );
					$data->event->classes .= ' ' . $data->event->cta->availability_class;
					$data->template_loader->get_template_part( 'loop_' . $data->event->layout_name );
				}
				?>
            </div>
        </section>
    </div><!-- Generated by https://wordpress.org/plugins/widget-for-eventbrite-api/ -->
	<?php
	$data->utilities->paginate_links__premium_only( $data->args, $data->instance, $data->events->max_num_pages, 'bottom' );
} else {
	?>
    <section <?php echo $data->utilities->get_section_attrs( $data ); ?>><?php
		$data->template_loader->get_template_part( 'not_found' );
		?>
    </section><!-- Generated by https://wordpress.org/plugins/widget-for-eventbrite-api/ -->
	<?php
}
