<?php
/**
 * Front end display of shortcode loop
 * can be overridden in child themes / themes or in wp-content/widget-for-eventbrite-api folder if you don't have a child theme and you don't want to lose changes due to themes updates
 *
 * To customise create a folder in your theme directory called widget-for-eventbrite-api and a modified version of this file or any template_parts renamed as appropriate
 *
 * The main structure is in get_template_part( 'loop__free_widget' );
 *
 * @var mixed $data Custom data for the template.
 */
$data->event->layout_class = 'wfea-widget';
$data->event->layout_name  = 'widget';
if ( ! wp_doing_ajax() ) {
	wp_enqueue_script( $data->plugin_name . '-frontend-pro' );
}
$data->template_loader->get_template_part( 'search' );
$data->event->popup = $data->utilities->get_popup_class__premium_only( $data->args );

if ( $data->utilities->get_element( 'widgetwrap', $data->args ) ) {
	?><div class="widget"><?php
}

// Recent posts wrapper
printf( '<div %1$s class="eaw-block %2$s %3$s">',
	( ! empty( $data->utilities->get_element( 'cssid', $data->args ) ) ? 'id="' . esc_attr( $data->utilities->get_element( 'cssid', $data->args ) ) . '"' : '' ),
	( ! empty( $data->utilities->get_element( 'css_class', $data->args ) ) ? '' . esc_attr( $data->utilities->get_element( 'css_class', $data->args ) ) . '' : '' ),
	( ! empty( $data->utilities->get_element( 'style', $data->args ) ) ? '' . esc_attr( $data->utilities->get_element( 'style', $data->args ) ) . '' : '' )
);
if ( false !== $data->events && $data->events->have_posts() ) {
	$data->utilities->paginate_links__premium_only( $data->args, $data->instance, $data->events->max_num_pages, 'top' );
	?>
    <div class="eaw-ulx">
		<?php while ( $data->events->have_posts() ) {
			$data->events->the_post();
			$data->event->booknow = $data->utilities->get_booknow_link( $data->args );
			$data->event->cta     = $data->utilities->get_cta( $data->args );
			$data->event->classes = $data->utilities->get_event_classes__premium_only();
			$data->event->classes = ' ' . $data->event->cta->availability_class;
			$data->template_loader->get_template_part( 'loop_widget' );
		}
		?>
    </div><?php
	$data->utilities->paginate_links__premium_only( $data->args, $data->instance, $data->events->max_num_pages, 'bottom' );
} else {
	$data->template_loader->get_template_part( 'not_found' );
}
?>
    </div><!-- Generated by https://wordpress.org/plugins/widget-for-eventbrite-api/ -->
<?php
if ( $data->utilities->get_element( 'widgetwrap', $data->args ) ) {
	?></div><!-- End widget wrap --><?php
}
