<?php
/**
 * @var mixed $data Custom data for the template.
 */
?>
<button type="button" class="wfea-share-button" data-target="wfea-calendar-modal"
        aria-label="<?php echo esc_html__( 'Add this event to your Calendar', 'widget-for-eventbrite-api' ); ?>">
    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
         x="0px" y="0px" viewBox="0 0 512 512"
         xml:space="preserve">
<path d="M160,240v32c0,8.844-7.156,16-16,16h-32c-8.844,0-16-7.156-16-16v-32c0-8.844,7.156-16,16-16h32  C152.844,224,160,231.156,160,240z M144,352h-32c-8.844,0-16,7.156-16,16v32c0,8.844,7.156,16,16,16h32c8.844,0,16-7.156,16-16v-32  C160,359.156,152.844,352,144,352z M272,224h-32c-8.844,0-16,7.156-16,16v32c0,8.844,7.156,16,16,16h32c8.844,0,16-7.156,16-16v-32  C288,231.156,280.844,224,272,224z M272,352h-32c-8.844,0-16,7.156-16,16v32c0,8.844,7.156,16,16,16h32c8.844,0,16-7.156,16-16v-32  C288,359.156,280.844,352,272,352z M400,224h-32c-8.844,0-16,7.156-16,16v32c0,8.844,7.156,16,16,16h32c8.844,0,16-7.156,16-16v-32  C416,231.156,408.844,224,400,224z M400,352h-32c-8.844,0-16,7.156-16,16v32c0,8.844,7.156,16,16,16h32c8.844,0,16-7.156,16-16v-32  C416,359.156,408.844,352,400,352z M112,96h32c8.844,0,16-7.156,16-16V16c0-8.844-7.156-16-16-16h-32c-8.844,0-16,7.156-16,16v64  C96,88.844,103.156,96,112,96z M512,128v320c0,35.344-28.656,64-64,64H64c-35.344,0-64-28.656-64-64V128c0-35.344,28.656-64,64-64  h16v16c0,17.625,14.359,32,32,32h32c17.641,0,32-14.375,32-32V64h160v16c0,17.625,14.375,32,32,32h32c17.625,0,32-14.375,32-32V64  h16C483.344,64,512,92.656,512,128z M480,192c0-17.625-14.344-32-32-32H64c-17.641,0-32,14.375-32,32v256c0,17.656,14.359,32,32,32  h384c17.656,0,32-14.344,32-32V192z M368,96h32c8.844,0,16-7.156,16-16V16c0-8.844-7.156-16-16-16h-32c-8.844,0-16,7.156-16,16v64  C352,88.844,359.156,96,368,96z"/>
        <span class="screen-reader-text"><?php echo esc_html__( 'Add this event to your Calendar', 'widget-for-eventbrite-api' ); ?></span>
</button>
<section id="wfea-calendar-modal" class="wfea-modal">
    <div class="modal-content">
        <span class="close">&times;</span>
        <h2 class="headline"><?php echo esc_html__( 'Add to Calendar', 'widget-for-eventbrite-api' ); ?></h2>
        <section class="outlook-sync">
            <form method="post" action="<?php echo admin_url( 'admin-ajax.php' ); ?>">
				<?php wp_nonce_field( 'wfea_ical_request', 'wfea_ical_nonce' ); ?>
                <input type="hidden" id="wfea_ical_request" name="action" value="wfea_ical_request">
				<?php echo $data->utilities->get_calendar_fields__premium_only( $data->args ) // sanitized function; ?>
                <button type="submit"
                        aria-label="<?php echo esc_html__( 'Add this event to your Outlook Calendar', 'widget-for-eventbrite-api' ); ?>"
                        class="button addtocal"><span
                            class="button-text"><?php echo esc_html__( 'Outlook Calendar', 'widget-for-eventbrite-api' ); ?></span>
                </button>
            </form>
        </section>
        <section class="gcal-sync">
            <a aria-label="<?php echo esc_html__( 'Add this event to your Google Calendar', 'widget-for-eventbrite-api' ); ?>"
               href="<?php echo esc_url( $data->utilities->get_gcal_href__premium_only($data->args) ); ?>" target="_blank" rel="noopener"
               class="button addtocal"><span
                        class="button-text"><?php echo esc_html__( 'Google Calendar', 'widget-for-eventbrite-api' ); ?></span></a>
        </section>
        <section class="apple-sync">
            <form method="post" action="<?php echo admin_url( 'admin-ajax.php' ); ?>">
			    <?php wp_nonce_field( 'wfea_ical_request', 'wfea_ical_nonce' ); ?>
                <input type="hidden" id="wfea_ical_request" name="action" value="wfea_ical_request">
			    <?php echo $data->utilities->get_calendar_fields__premium_only( $data->args ) // sanitized function; ?>
                <button type="submit"
                        aria-label="<?php echo esc_html__( 'Add this event to your Apple Calendar', 'widget-for-eventbrite-api' ); ?>"
                        class="button addtocal"><span
                            class="button-text"><?php echo esc_html__( 'Apple Calendar', 'widget-for-eventbrite-api' ); ?></span>
                </button>
            </form>
        </section>
        <section class="yahoo-sync">
            <a aria-label="<?php echo esc_html__( 'Add this event to your Yahoo Calendar', 'widget-for-eventbrite-api' ); ?>"
               href="<?php echo esc_url( $data->utilities->get_yahoo_href__premium_only($data->args) ); ?>" target="_blank" rel="noopener"
               class="button addtocal"><span
                        class="button-text"><?php echo esc_html__( 'Yahoo Calendar', 'widget-for-eventbrite-api' ); ?></span></a>
        </section>
    </div>
</section>