<?php
/**
 * @var mixed $data Custom data for the template.
 */

if ( ! $data->utilities->get_element( 'search_box', $data->args ) ) {
	return;
}
$value               = '';
$wfea_instance_label = 'wfea_instance_' . esc_attr( $data->instance );
if ( isset( $_REQUEST['wfea_s'] ) && ( $wfea_instance_label == $_REQUEST['wfea_s_target'] ) ) {
	$value = ' value="' . esc_attr( sanitize_text_field( $_REQUEST['wfea_s'] ) ) . '" ';
}
?>
<div class="<?php echo esc_attr( $data->event->layout_class ); ?>__search wfea-search__wrap">
    <form class="wfea-search__form" method="get">
        <label class="screen-reader-text"
               for="wfea-search__input_<?php echo esc_attr( $data->instance ); ?>"><?php esc_html_e( 'Search Events', 'widget-for-eventbrite-api' ); ?></label>
        <input name="wfea_s" type="search"
               id="wfea-search__input_<?php echo esc_attr( $data->instance ); ?>"
               class="wfea-search__input"
               placeholder="<?php echo esc_attr( $data->utilities->get_element( 'search_box_text', $data->args ) ); ?>"
               aria-label="<?php esc_html_e( 'Search Events', 'widget-for-eventbrite-api' ); ?>"
			<?php echo $value; ?> >
        <input type="hidden" name="wfea_s_target" value="wfea_instance_<?php echo esc_attr( $data->instance ); ?>">
		<?php wp_nonce_field( 'wfea_s_' . $data->instance, '_wfea_nonce', false, true ); ?>
        <input type="submit"
               class="wfea-search__submit" value="<?php
		echo esc_attr( $data->utilities->get_element( 'search_box_button', $data->args ) );
		?>">
    </form>
</div>
