<?php
/**
 * @var mixed $data Custom data for the template.
 */
$a = esc_attr( urlencode( get_permalink() ) );
$b = urldecode( $a );
?>
<button type="button" class="wfea-share-button" data-target="wfea-social-modal"
        aria-label="<?php echo esc_html__( 'Share on social media', 'widget-for-eventbrite-api' ); ?>">
    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
         viewBox="0, 0, 400,400" x="0px" y="0px"
         xml:space="preserve">
        <path d="M301.881 1.114 C 267.085 9.019,245.534 40.972,250.205 77.734 L 250.800 82.422 190.153 116.979 L 129.506 151.535 126.175 148.619 C 88.887 115.974,27.879 137.073,17.445 186.223 C 4.424 247.560,79.295 292.424,126.179 251.378 L 129.513 248.458 189.952 282.907 C 223.193 301.854,250.481 317.438,250.592 317.538 C 250.703 317.639,250.379 321.258,249.872 325.581 C 242.990 384.239,310.260 422.123,357.547 386.220 C 389.939 361.627,392.191 313.043,362.258 284.616 C 337.221 260.840,296.834 260.221,271.978 283.233 L 267.355 287.513 208.091 253.793 C 175.497 235.247,148.567 219.848,148.249 219.574 C 147.930 219.300,148.194 216.335,148.835 212.985 C 149.476 209.635,150.000 203.792,150.000 200.000 C 150.000 196.208,149.476 190.365,148.835 187.015 C 148.194 183.665,147.930 180.700,148.249 180.426 C 148.567 180.152,175.492 164.749,208.081 146.197 L 267.333 112.467 271.967 116.757 C 318.415 159.759,395.676 114.851,382.111 52.734 C 374.259 16.780,337.377 -6.950,301.881 1.114 "></path>
    </svg>
    <span class="screen-reader-text"><?php echo esc_html__( 'Share on social media', 'widget-for-eventbrite-api' ); ?></span>
</button>
<section id="wfea-social-modal" class="wfea-modal">
    <div class="modal-content">
        <span class="close">&times;</span>
        <h2 class="headline"><?php echo esc_html__( 'Share with Friends', 'widget-for-eventbrite-api' ); ?></h2>
        <section class="facebook-share share">
            <a aria-label="<?php echo esc_html__( 'Share on Facebook', 'widget-for-eventbrite-api' ); ?>"
               href="<?php echo esc_url( $data->utilities->get_fb_share_href__premium_only( $data->args ) ); ?>" target="_blank"
               rel="noopener"
               class="button social-share"><span
                        class="button-text"><?php echo esc_html__( 'Facebook', 'widget-for-eventbrite-api' ); ?></span></a>
        </section>
        <section class="twitter-share share">
            <a aria-label="<?php echo esc_html__( 'Share on Twitter', 'widget-for-eventbrite-api' ); ?>"
               href="<?php echo esc_url( $data->utilities->get_twitter_share_href__premium_only( $data->args ) ); ?>" target="_blank"
               rel="noopener"
               class="button social-share"><span
                        class="button-text"><?php echo esc_html__( 'Twitter', 'widget-for-eventbrite-api' ); ?></span></a>
        </section>
    </div>
</section>